#!/usr/bin/env ruby

###
## Copyright 2009 by Adron Systems LLC, Laporte, MN  56461.
## Permission is granted to copy, distribute and/or modify this document.
##
##   Purpose: Output all the time image formatting strings from the ASE::Time class.
##
##  Location: Adron\Engine\Macros.Ruby
##  Filename: TimeFormats.rb
##
##   Started: 2009/06/01
##   Updated:[2016/04/01]
###

# Load the Vx Extract interface library.
require 'ExtractLoad'


# Get the current time.
tmNow = ASE::Time.new

# These are the "singleton" methods in the ASE::Time class.
# This action generates a list of method names.
# The list is sorted alphabetically using the sort! action.
format_methods = ASE::Time.singleton_methods(false).sort!

# Generate a list with method names, specifier values, and example images.
format_methods.each do | method_name |
  m = ASE::Time.method(method_name)
  printf( "ASE::Time.%-30s== %s\n", method_name, m.call )
  printf( "%-40s=> %s\n", "", tmNow.image( m.call ))
end
